<?php
/**
 * StoreWorkingsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. BU. Продавцы
 *
 * Управление продавцами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\BuClient;

use \Ensi\BuClient\Configuration;
use \Ensi\BuClient\ApiException;
use \Ensi\BuClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * StoreWorkingsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\BuClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class StoreWorkingsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createStoreWorking
     *
     * Добавить новую запись о времени работы склада.
     *
     */
    public function testCreateStoreWorking()
    {
    }

    /**
     * Test case for deleteStoreWorking
     *
     * Удалить запись о времени работы склада.
     *
     */
    public function testDeleteStoreWorking()
    {
    }

    /**
     * Test case for extendedPatchStoreWorking
     *
     * Частично обновить запись о времени работы склада с дополнительной фильтрацией.
     *
     */
    public function testExtendedPatchStoreWorking()
    {
    }

    /**
     * Test case for getStoreWorking
     *
     * Получить запись о времени работы склада.
     *
     */
    public function testGetStoreWorking()
    {
    }

    /**
     * Test case for patchStoreWorking
     *
     * Частично обновить запись о времени работы склада.
     *
     */
    public function testPatchStoreWorking()
    {
    }

    /**
     * Test case for searchStoreWorkings
     *
     * Получить список записей о времени работы склада.
     *
     */
    public function testSearchStoreWorkings()
    {
    }
}
